import React from 'react';
export interface IInputProps extends React.ComponentPropsWithoutRef<'input'> {
    /**
     * Clear input value. Clearing only controlled component
     */
    onClear?: () => void;
    /**
     * Defines if the input is disabled
     */
    disabled?: boolean;
    /**
     * Defines if input is valid
     */
    invalid?: boolean;
    /**
     * Defines left icon
     */
    iconType?: string;
    /**
     * Defines left icon
     */
    iconSize?: number;
    /**
     * Defines left icon className
     */
    iconClassName?: string;
    /**
     * Defines left icon click
     */
    onIconClick?: () => void;
    /**
     * Defines right addon title
     */
    addonTitle?: string;
    /**
     * Defines if onWheel event should be enabled on type `number`.
     * By default Input component has disabled the onWheel event to
     * prevent value change on scroll from the input type number.
     */
    enableWheelEventOnNumber?: boolean;
    /**
     * Hiding default arrows for type 'number'
     */
    hideNumSpin?: boolean;
    /**
     * Defined className for input
     */
    inputClassName?: string;
}
declare const Input: React.ForwardRefExoticComponent<IInputProps & React.RefAttributes<HTMLInputElement>>;
export default Input;
//# sourceMappingURL=Input.d.ts.map